summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSean Simmons <ssimmons@progress.com>2023-03-29 11:32:42 -0400
committerSean Simmons <ssimmons@progress.com>2023-03-29 11:32:42 -0400
commit8f3bbe3d443415b00a52c933d6a75056cdd28462 (patch)
tree1cc88203fb63a762ba107d1081fd4609fa99d8d5
parent02bf1643b29663be1cd58a56d98acb12383fc74e (diff)
downloadchef-8f3bbe3d443415b00a52c933d6a75056cdd28462.tar.gz
removing -x and also using the correct build-platform
letting os decide which one to pull because we set the build agent statically Signed-off-by: Sean Simmons <ssimmons@progress.com>
-rwxr-xr-x.buildkite/build-test-omnibus.sh5
-rwxr-xr-x.expeditor/scripts/omnibus_chef_build.sh7
2 files changed, 3 insertions, 9 deletions
diff --git a/.buildkite/build-test-omnibus.sh b/.buildkite/build-test-omnibus.sh
index 49a232793b..0a9d2cf950 100755
--- a/.buildkite/build-test-omnibus.sh
+++ b/.buildkite/build-test-omnibus.sh
@@ -1,4 +1,3 @@
-set -ex
if [[ -z "${BUILDKITE_BUILD_CREATOR_TEAMS:-}" ]]
then
@@ -13,7 +12,7 @@ FILTER="${OMNIBUS_FILTER:=*}"
# array of all container platforms in the format test-platform:build-platform
container_platforms=("amazon-2:centos-7" "centos-6:centos-6" "centos-7:centos-7" "centos-8:centos-8" "rhel-9:rhel-9" "debian-9:debian-9" "debian-10:debian-9" "debian-11:debian-9" "ubuntu-1604:ubuntu-1604" "ubuntu-1804:ubuntu-1604" "ubuntu-2004:ubuntu-1604" "ubuntu-2204:ubuntu-1604" "sles-15:sles-15" "windows-2019:windows-2019")
-container_platforms_arm64=("ubuntu-1804-arm:ubuntu-1804-arm" "ubuntu-2004-arm:ubuntu-2004-arm" "ubuntu-2204-arm:ubuntu-2204-arm" "centos-7-arm:centos-7-arm" "centos-8-arm:centos-8" "sles-15-arm:sles-15-arm" "rhel-9-arm:rhel-9-arm" "amazon-2-arm:amazon-2-arm")
+container_platforms_arm64=("ubuntu-1804-arm:ubuntu-1804" "ubuntu-2004:ubuntu-2004" "ubuntu-2204:ubuntu-2204" "centos-7-arm:centos-7" "centos-8-arm:centos-8" "sles-15-arm:sles-15" "rhel-9-arm:rhel-9" "amazon-2-arm:amazon-2")
# add rest of windows platforms to tests, if not on chef-oss org
if [ $BUILDKITE_ORGANIZATION_SLUG != "chef-oss" ]
@@ -146,7 +145,7 @@ fi
if [[ ! -z "${omnibus_build_platforms_arm64:-}" ]]
then
for platform in ${omnibus_build_platforms_arm64[@]}; do
- echo "- label: \":hammer_and_wrench::docker::muscle: $platform\""
+ echo "- label: \":hammer_and_wrench::docker::muscle: $platform-arm\""
echo " retry:"
echo " automatic:"
echo " limit: 1"
diff --git a/.expeditor/scripts/omnibus_chef_build.sh b/.expeditor/scripts/omnibus_chef_build.sh
index d3438c3e8f..751356d3b3 100755
--- a/.expeditor/scripts/omnibus_chef_build.sh
+++ b/.expeditor/scripts/omnibus_chef_build.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -ueox pipefail
+set -ueo pipefail
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
@@ -12,11 +12,6 @@ export PATH="/opt/omnibus-toolchain/bin:${PATH}"
export OMNIBUS_FIPS_MODE="true"
export OMNIBUS_PIPELINE_DEFINITION_PATH="${SCRIPT_DIR}/../release.omnibus.yml"
-## hard code for sles-aarch64 here
-## condition statement that looks at the slug, then do the hard coding to
-#https://artifactory-internal.ps.chef.co/artifactory/omnibus-current-local/com/getchef/chef-foundation/3.0.6/sles/15/chef-foundation-3.0.6-1.sles15.aarch64.rpm
-
-
echo "--- Installing Chef Foundation"
curl -fsSL https://omnitruck.chef.io/chef/install.sh | bash -s -- -c "current" -P "chef-foundation" -v "$CHEF_FOUNDATION_VERSION"